// (c) 2006 Microsoft Corporation
// written by: Witold Bot [Witold.Bolt@StudentConsultant.org]
// language: polish / character encoding: codepage 1250


// zmienne globalne
var thisDiskId;

////////////////////////////////////////////////////////////////////////////////
// funkcja umieszcza okienko na rodku ekranu ... a przynajmniej prbuje ;)
function resizeAndCenter() {

    if(screen.width<800) {
        alert("Uwaga!\nTa aplikacja wymaga rozdzielczoci 800x600 lub wikszej!");
    }

    window.moveTo((screen.width-810)/2,(screen.height-600)/2);
    window.resizeTo(810,635);
}

// pobieramy z XML'a identyfikator pyty
function getDiskId() {
    DiskID.recordset.MoveFirst();
    thisDiskId=DiskID.recordset.fields("DiskID").value;
    document.title=document.title+" - "+thisDiskId;
}

////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////// CONTENT ////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

// zwraca string z HTMLem opisujcym jeden 'materia'
function getContentEntry(title, desc, path, disk) {
    output  = '<table class="content_entry" align="center" width="95%" border="0" cellspacing="0" cellpadding="5">';
    output += '<tr><td class="title"><p class="title">'+title+'</p></td>';
    output += '<td class="title" width="8%"><p class="disk">'+disk+'</p></td></tr>';
    output += '<tr><td colspan="2"><p class="desc">'+desc+'</p></td></tr>';
    output += '<tr><td colspan="2" class="matlink"><p class="matlink">';
    output += getMaterialLink(path,disk);
    output += '</p></td></tr></table><br/>\n';
    return output;
}

// czyci obszar CONTENT
function clearContent() {
    document.getElementById('contentSpan').innerHTML=' ';
}

// funkcja przewija CONTENT na sam gr
function scrollContentUp() {
    document.getElementById('contentSpan').scrollTop="0";
}

function setContentHTML(htmlCode) {
    document.getElementById('contentSpan').innerHTML=htmlCode;
}

// zwraca nazw kategorii na podstawie kodu i numery dysku
function getCategoryName(categoryCode,disk) {
    CategoryList.recordset.MoveFirst();
    while (!CategoryList.recordset.EOF) {
        if(CategoryList.recordset.fields("code").value == categoryCode
            && CategoryList.recordset.fields("disk").value == disk)
        return CategoryList.recordset.fields("name").value;
        CategoryList.recordset.MoveNext();
    }
    return "Zy kod kategorii!";
}

// funkcja wywietla w polu CONTENT wybran kategori z danego dysku
function showCategory(categoryCode,disk) {
    i = 0;
    clearContent();
    output="<h1>"+getCategoryName(categoryCode,disk)+"</h1>";
    ContentList.recordset.MoveFirst();
    while (!ContentList.recordset.EOF) {
        if(ContentList.recordset.fields("Category").value == categoryCode
            && ContentList.recordset.fields("disk").value == disk) {
            i++;
            output+=getContentEntry(ContentList.recordset.fields("Title").value,
            ContentList.recordset.fields("Description").value,
            ContentList.recordset.fields("Materials").value,
            ContentList.recordset.fields("Disk").value);
        }
        ContentList.recordset.MoveNext();
    }
    if (i==0) {
        output+="<p class=\"notice\">Niestety nic tu nie ma...</p>";
    }
    setContentHTML(output);
    scrollContentUp();
}


////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////// MENU /////////////////////////////
////////////////////////////////////////////////////////////////////////////////


// funkcja zwraca nagwek tabeli do menu
function getMenuHeader() {
    output  = '<table width="100%" height="100%"><tr><td>';
    output += '<table class="menu" align="right" width="95%" cellpadding="0" cellspacing="0">';
    output += '<tr><td class="menu_title"><p class="menu_title">Kategorie:</p></td></tr>';
    return output;
}

// funkcja zwraca stopk tabelki z menu ...
function getMenuFooter() {
    output  = '<tr bgcolor="#d2ebba" onmouseover="this.bgColor=\'#8fe24e\';" onmouseout="this.bgColor=\'#d2ebba\';">';
    output += '<td class="menu" style="border-bottom:none;"><center><form action="#" name="searchForm" onsubmit="simpleSearchForm();return false;">';
    output += '<font size="2">szukaj:</font><input class="menu" name="textBox" size="15"></form></center></td></tr>';
    output += '<tr bgcolor="#d2ebba" onmouseover="this.bgColor=\'#8fe24e\';" onmouseout="this.bgColor=\'#d2ebba\';"><td><center><font size="1"><a class="menu" href="javascript:advancedSearch();">zaawansowane wyszukiwanie</a></font></center></td></tr>';
    output += '</table></td></tr></table>';
    return output;
}

// funkcja generuje wiersz do tabelki w menu - na podstawie kodu i nazwy dziau
function getMenuItem(code,name) {
    output  = '<tr onmouseover="this.bgColor=\'#8fe24e\';" onmouseout="this.bgColor=\'\';"><td class="menu"><p class="menu">';
    output += '<a class="menu" href="javascript:showCategory(\''+code+'\',\''+thisDiskId+'\');">'+name+'</a>';
    output += '</p></td></tr>';
    return output;
}

// funkcja wypenia menu
function populateMenu() {
    output = getMenuHeader();
    CategoryList.recordset.MoveFirst();
    while (!CategoryList.recordset.EOF) {
        if(CategoryList.recordset.fields("disk").value == thisDiskId) {
            output+=getMenuItem(CategoryList.recordset.fields("code").value,
            CategoryList.recordset.fields("name").value);
        }
        CategoryList.recordset.MoveNext();
    }
    output+=getMenuFooter();
    document.getElementById('menuSpan').innerHTML=output;
}

////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////// SEARCH ///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

// funkcja sprawdza czy ktry z elementw teblki keywords znajduje si
// w stringu entry i zwraca boola
function testKeywords(keywords, entry) {
    i=0;
    for(i=0;i<=keywords.length;i++) {
        if(entry.indexOf(keywords[i])!=-1)
         return true;
    }
    return false;
}

// waciwie to tu dokonuje si filtrowanie materiaw razem z wywietlaniem
function showSearchResults(keywords, disks) {
    output  = '<h1>Wynik poszukiwania: '+keywords+'</h1>';
    output += '<h2>na dyskach: '+disks+'</h2>';

    i = 0;
    ContentList.recordset.MoveFirst();

    while (!ContentList.recordset.EOF) {
        if((
        testKeywords(keywords,ContentList.recordset.fields("Description").value.toLowerCase()) ||
        testKeywords(keywords,ContentList.recordset.fields("Title").value.toLowerCase())) &&
           testKeywords(disks,ContentList.recordset.fields("disk").value)
        ) {

            i++;
            output+=getContentEntry(ContentList.recordset.fields("Title").value,
            ContentList.recordset.fields("Description").value,
            ContentList.recordset.fields("Materials").value,
            ContentList.recordset.fields("Disk").value);
        }
        ContentList.recordset.MoveNext();
    }
    if (i==0) {
        output+="<p class=\"notice\">Niestety nic tu nie ma...</p>";
    }

    clearContent();
    setContentHTML(output);
    scrollContentUp();
}

// parsuje formularz 'prostego' wyszukiwania
function simpleSearchForm() {
    keywords = new Array();
    keywords = searchForm.textBox.value.toLowerCase().split(" ");

    disks = new Array();
    disks[0] = thisDiskId;

    showSearchResults(keywords,disks);
}

// funkcja wywietla formularz zaawansowanego wyszukiwania
function advancedSearch() {
    clearContent();
    output = '<table width="100%" height="99%"><tr><td>';
    output += '<form name="aSearchForm" action="#" onsubmit="advancedSearchForm(); return false;">';
    output += '<table width="80%" align="center" class="searchInterface" cellpadding="5" cellspacing="0">';
    output += '<tr><td class="title" colspan="2"><p class="title">Wyszukiwanie zaawansowane</p></td></tr>';
    output += '<tr><td><p align="right">Sowa kluczowe:</p></td><td><p align="left"><input class="text" name="keywords" size="30"/></p></td></tr>';
    output += '<tr><td><p align="right">Szukaj na:</p></td><td>';
    output += '<input name="disk1" type="checkbox"'+(thisDiskId == "DVD 1" ? 'checked="checked"' : '')+'>DVD #1</input><br/>';
    output += '<input name="disk2" type="checkbox"'+(thisDiskId == "DVD 2" ? 'checked="checked"' : '')+'>DVD #2</input><br/>';
    output += '<input name="disk3" type="checkbox"'+(thisDiskId == "DVD 3" ? 'checked="checked"' : '')+'>DVD #3</input><br/>';
    output += '<input name="disk4" type="checkbox"'+(thisDiskId == "DVD 4" ? 'checked="checked"' : '')+'>DVD #4</input></td></tr>';
    output += '<tr><td colspan="2"><p align="right"><input type="submit" value="Szukaj" class="text"/> <input class="text" type="reset" value="Wyczy"/></p></td></tr></table></form>';
    output += '</td></tr></table>';
    setContentHTML(output);
    scrollContentUp();
}

// parsuje formularz 'zaawansowanego' wyszukiwania
function advancedSearchForm() {
    keywords = new Array();
    keywords = aSearchForm.keywords.value.toLowerCase().split(" ");

    disks = new Array();
    i=0;

    if(aSearchForm.disk1.checked) disks[i++]="DVD 1";
    if(aSearchForm.disk2.checked) disks[i++]="DVD 2";
    if(aSearchForm.disk3.checked) disks[i++]="DVD 3";
    if(aSearchForm.disk4.checked) disks[i++]="DVD 4";

    showSearchResults(keywords,disks);
}

////////////////////////////////////////////////////////////////////////////////
////////////////////// LINK HANDLING ///////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

function getMaterialLink(url,disk) {
    if (disk == thisDiskId) {
        return '<a href="'+url+'" target="_blank">zobacz materiay</a>';
    } else {
        return '<a href="javascript:alert(\'Wybrany przez ciebie materia znajduje si na pycie:\\n\\nAcademic Resource Kit '+disk+'\');">zobacz materiay</a>';
    }
}

// EOF
